CsvUtil::CsvWriter Class Reference

The CsvWriter class for safe CSV data creation. More...

Inheritance diagram for CsvUtil::CsvWriter:
[legend]

## Public Member Functions

| constructor (Qore::OutputStream output, *hash opts)
| creates the CsvWriter in single-type mode with the OutputStream and an optional option hash More...
| constructor (Qore::OutputStream output, hash spec, hash opts)
| creates the CsvWriter in multi-type mode with the OutputStream and an option hash More...
Public Member Functions inherited from CsvUtil::AbstractCsvWriter
| constructor (string n_errname, *hash n_opts)
| Creates the AbstractCsvWriter in single-type mode. More...
| constructor (string n_errname, hash spec, hash n_opts)
| Creates the AbstractCsvWriter in single-type mode. More...
| write (Qore::AbstractIterator iterator)
| Stream an iterator into the output. More...
| write (Qore::SQL::SQLStatement iterator)
| Stream an iterator into the output. More...
| write (list l)
| Stream the contents of the list into the output. More...
| writeLine (list values)
| Write a line with a list of values; data are checked against column rules. More...
| writeLine (hash values)
| Write a line with headers-values hash. More...
| writeLine (string type, list values)
| Write a line with headers-values list. More...
| writeLine (string type, hash values)
| Write a line for a specific record from a hash to the output. More...

## Private Member Functions

| writeRawLine (list values)
| renders the line and writes it to the output stream

## Private Attributes

StreamWriter | output
| the output stream for the CSV data

## Detailed Description

The CsvWriter class for safe CSV data creation.

## Member Function Documentation

## constructor() [1/2]

CsvUtil::CsvWriter::constructor | ( | Qore::OutputStream | output,
|  | *hash | opts
| ) |  |

creates the CsvWriter in single-type mode with the OutputStream and an optional option hash

Parameters

  output | the OutputStream for the CSV data generated
  opts | AbstractCsvWriter Constructor Option Hash Overview

Exceptions

  CSVFILEITER-ERROR | in the case of incorrect options

## constructor() [2/2]

CsvUtil::CsvWriter::constructor | ( | Qore::OutputStream | output,
|  | hash | spec,
|  | hash | opts
| ) |  |

creates the CsvWriter in multi-type mode with the OutputStream and an option hash

Parameters

  output | the OutputStream for the CSV data generated
  spec | a hash of field and type definition; see Option Field Hash for more information
  opts | AbstractCsvWriter Constructor Option Hash Overview

Exceptions

  CSVFILEITER-ERROR | in the case of incorrect options